Loading...
Searching...
No Matches
casacore::sisco::SiscoWriter::Chunk Struct Reference

## Public Attributes

size_t | index
std::vector< std::byte > | mantisas_data
std::vector< std::byte > | exponent_data
size_t | allocated_chunk_size
size_t | n_allocated_items
| Whenever a thread finishes preprocessing, it will update this value.
size_t | n_finished_items
size_t | item_counter
size_t | chunk_size

## Detailed Description

Definition at line 39 of file SiscoWriter.h.

## Member Data Documentation

## allocated_chunk_size

size_t casacore::sisco::SiscoWriter::Chunk::allocated_chunk_size

Definition at line 43 of file SiscoWriter.h.

## chunk_size

size_t casacore::sisco::SiscoWriter::Chunk::chunk_size

Definition at line 50 of file SiscoWriter.h.

## exponent_data

std::vector<std::byte> casacore::sisco::SiscoWriter::Chunk::exponent_data

Definition at line 42 of file SiscoWriter.h.

## index

size_t casacore::sisco::SiscoWriter::Chunk::index

Definition at line 40 of file SiscoWriter.h.

## item_counter

size_t casacore::sisco::SiscoWriter::Chunk::item_counter

Definition at line 49 of file SiscoWriter.h.

## mantisas_data

std::vector<std::byte> casacore::sisco::SiscoWriter::Chunk::mantisas_data

Definition at line 41 of file SiscoWriter.h.

## n_allocated_items

size_t casacore::sisco::SiscoWriter::Chunk::n_allocated_items

Whenever a thread finishes preprocessing, it will update this value.

If the value is high enough, the thread knows the chunk is ready for deflate.

Definition at line 47 of file SiscoWriter.h.

## n_finished_items

size_t casacore::sisco::SiscoWriter::Chunk::n_finished_items

Definition at line 48 of file SiscoWriter.h.

The documentation for this struct was generated from the following file:

- tables/AlternateMans/SiscoWriter.h